org.glassfish.jersey.server.wadl.config

## Class WadlGeneratorDescription

- java.lang.Object
- - org.glassfish.jersey.server.wadl.config.WadlGeneratorDescription

    public class WadlGeneratorDescription
    extends Object

This is the model for the definition of wadl generators via configuration properties.
The properties refer to the properties of the `WadlGenerator` implementation with the specified `getGeneratorClass()`. The `WadlGenerator` properties are populated with the provided properties like this:

- The types match exactly:
  if the WadlGenerator property is of type `org.example.Foo` and the provided property value is of type `org.example.Foo`
- Types that provide a constructor for the provided type (mostly java.lang.String)
- The WadlGenerator property is of type `InputStream`: The stream is loaded from the property value (provided by the `WadlGeneratorDescription`) via `ClassLoader.getResourceAsStream(String)`. It will be closed after `WadlGenerator.init()` was called.
- Deprecated, will be removed in future versions:
  The WadlGenerator property is of type `File` and the provided property value is a `String`:
  the provided property value can contain the prefix classpath: to denote, that the path to the file is relative to the classpath. In this case, the property value is stripped by the prefix classpath: and the `File` is created via

      new File( generator.getClass().getResource( strippedFilename ).toURI() )

  Notice that the filename is loaded from the classpath in this case, e.g. classpath:test.xml refers to a file in the package of the class (`getGeneratorClass()`). The file reference classpath:/test.xml refers to a file that is in the root of the classpath.

Author:
  Martin Grotzke (martin.grotzke at freiheit.com)

### Constructor Summary

Constructors
Constructor and Description
`WadlGeneratorDescription()`
`WadlGeneratorDescription(Class<? extends WadlGenerator> generatorClass, Properties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<?>` `getConfiguratorClass()` Return `WadlGeneratorConfig` that was used to produce current description instance.
`Class<? extends WadlGenerator>` `getGeneratorClass()`
`Properties` `getProperties()`
`void` `setGeneratorClass(Class<? extends WadlGenerator> generatorClass)`
`void` `setProperties(Properties properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WadlGeneratorDescription

    public WadlGeneratorDescription()

#### WadlGeneratorDescription

    public WadlGeneratorDescription(Class<? extends WadlGenerator> generatorClass,
                                    Properties properties)

### Method Detail

#### getGeneratorClass

    public Class<? extends WadlGenerator> getGeneratorClass()

Returns:
  the generatorClass

#### setGeneratorClass

    public void setGeneratorClass(Class<? extends WadlGenerator> generatorClass)

Parameters:
  `generatorClass` - the generatorClass to set

#### getProperties

    public Properties getProperties()

Returns:
  the properties

#### setProperties

    public void setProperties(Properties properties)

Parameters:
  `properties` - the properties to set

#### getConfiguratorClass

    public Class<?> getConfiguratorClass()

Return `WadlGeneratorConfig` that was used to produce current description instance. The result could be null if the config was not set on this instance.

Returns:
  config